/**********************************************************************
 *
 * cstrdocaction.h -- 
 * Copyright (C) 1999  The New Zealand Digital Library Project
 *
 * A component of the Greenstone digital library software
 * from the New Zealand Digital Library Project at the
 * University of Waikato, New Zealand.
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 *
 * $Id: cstrdocaction.h 911 2000-02-06 21:27:04Z sjboddie $
 *
 *********************************************************************/


#ifndef CSTRDOCACTION_H
#define CSTRDOCACTION_H

#include "documentaction.h"

class cstrdocaction : public documentaction {

protected:

  void set_java_macros (cgiargsclass &args, displayclass &disp);

  void output_document (const text_t &OID, cgiargsclass &args, 
			recptproto *collectproto, displayclass &disp, 
			outconvertclass &outconvert, ostream &textout, 
			ostream &logout);


public:
  cstrdocaction ();
  virtual ~cstrdocaction ();


  void get_cgihead_info (cgiargsclass &args, recptprotolistclass *protos,
			 response_t &response,text_t &response_data, 
			 ostream &logout);
  
  //  void define_internal_macros (const ColInfoResponse_t &collectinfo, displayclass &disp, 
				   //			       cgiargsclass &args, recptproto *collectproto, 
				   //			       ostream &logout);
    
  bool do_action (cgiargsclass &args, recptprotolistclass *protos, 
		  browsermapclass *browsers, displayclass &disp, 
		  outconvertclass &outconvert, ostream &textout, 
		  ostream &logout);
  
};



#endif




